Subject: Re: dummy as IMQ replacement

From: Andy Furniss <[email-masked]>
Date: Mon, 21 Mar 2005 22:08:28 +0000

jamal wrote:
> Hi Andy,
> Apologies again - I wont be able to get access to my test machine until
> tuesday.
> 
> On Sat, 2005-03-19 at 05:23, Andy Furniss wrote:
> 
> 
>>$TC filter add dev eth0 parent ffff: protocol ip prio 10 u32 \
>>match u32 0 0 flowid 1:1 \
>>action ipt -j MARK --set-mark 1
>>
>>It still gives memory error with 1.3.1 , with 1.2.11 it parses OK but I 
>>get bogus stats - hit count is OK
>>
>>[root@amd /home/andy/Qos]# tc -s filter ls dev eth0 parent ffff:
>>
>>filter protocol ip pref 10 u32
>>filter protocol ip pref 10 u32 fh 800: ht divisor 1
>>filter protocol ip pref 10 u32 fh 800::800 order 2048 key ht 800 bkt 0 
>>flowid 1:1  (rule hit 12 success 12)
>>   match 00000000/00000000 at 0 (success 12 )
>>         action order 1: tablename: mangle  hook: NF_IP_PRE_ROUTING
>>         target MARK set 0x1
>>         index 1 ref 1 bind 1 installed 251 sec expires 1 sec
>>         Action statistics:
>>         Sent 7630953 bytes 0 pkt
>>         rate 3146Kbit 1095565348pps
>>
> 
> 
> Ok, this seems to be a bug in the stats - I think it may have been
> introduced during the new kernel stats code updates.
> Ive cced Thomas who added that code, he may be able to figure it oput
> before i get back
> 
> 
>>If I try with the lines below added
>>
>>action egress redirect dev dummy0 or
>>action redirect dev dummy0
>>
>>I just get errors on whatever is after action - or memory errors with 1.3.1.
>>
>>Using tc iproute2-ss050112 + patch for these tests.
>>
> 
> 
> So if i have understood you correctly, with this version of tc and
> version of iproute2, you have no problems other than stats being messed
> up? i.e action ipt .. action mirred .. looks/works fine?

No, I haven't got anything to work with action mirred the stats was just 
using

$TC filter add dev eth0 parent ffff: protocol ip prio 10 u32 \
match u32 0 0 flowid 1:1 \
action ipt -j MARK --set-mark 1

Andy.